%define upstream_name    String-Random
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module to generate random strings based
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module makes it trivial to generate random strings.

As an example, let's say you are writing a script that needs to generate a
random password for a user. The relevant code might look something like
this:

  use String::Random;
  $pass = new String::Random;
  print "Your password is ", $pass->randpattern("CCcc!ccn"), "\n";

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/String

%changelog
* Sun Oct 18 2020 tv <tv> 0.310.0-1.mga8
+ Revision: 1636744
- update to 0.31

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-3.mga8
+ Revision: 1506195
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1286207
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 0.300.0-1.mga7
+ Revision: 1233673
- update to 0.30

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-2.mga6
+ Revision: 1033388
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.290.0-1.mga6
+ Revision: 923921
- update to 0.29

* Sun Jun 28 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 847018
- update to 0.28

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-4.mga5
+ Revision: 746839
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.260.0-3.mga5
+ Revision: 733419
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-2.mga5
+ Revision: 686249
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.260.0-1.mga5
+ Revision: 588650
- update to 0.26

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 514715
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 372815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 27017
- mageia rebuild
- imported package perl-String-Random

